Skip to main content

Get InvoiceSettings of a Customer

GET/v2/customers/{customerId}/invoice-settings
API version
v2
Request method
GET
Operation ID
invoice-get-detail-of-invoice-settings

Request​

  • customerIdstringrequired

Responses​

Format
application/json
Description
  • additionalEmailRecipientsarray of string (email)
    • Array[
      • *string (email)
      ]
  • debitPaymentStopUntilstring (date-time)
  • idstringrequired
  • invoicePeriodinteger
  • lastBankingInformationobject
    • accountHolderstringrequired
    • bicstring
    • ibanstringrequired
  • paymentSettingsone of 2 alternatives
    • Alternativeobject
      • accountHolderstringrequired
      • bicstring

        Optional. Required for payments outside of the European Union.

      • ibanstringrequired
      • method"debit"required
    • Alternativeobject
      • method"invoice"required
  • printedInvoicesboolean
  • recipientobject
    • addressobjectrequired
      • streetstringrequired
      • houseNumberstringrequired
      • citystringrequired
      • zipstringrequired
      • countryCodestringrequired

        ISO 3166-1 alpha-2 country code

      • addressPrefixstring
    • companystring
    • emailAddressstring (email)
    • firstNamestring
    • lastNamestring
    • leitwegIdstring (≤ 46 characters)

      German electronic invoicing routing ID (XRechnung). Only allowed for public authorities and requires a company.

    • phoneNumbersarray of string
      • Array[
        • *string
        ]
    • purchaseOrderReferencestring (≤ 200 characters)

      Purchase order reference printed on the invoice. Not allowed together with a leitwegId.

    • salutationstring (one of: mr, ms, other)required
    • titlestring
    • useFormalTermboolean
  • recipientSameAsOwnerboolean
  • statusarray of object
    • Array[
      • *object
        • messagestringrequired
        • severitystring (one of: success, info, warning, error)required
        • typestring (one of: returnDebitNote, returnDebitNoteWaitingForPayment, debtWrittenOff, bankrupt, notReachable)required
      ]
  • targetDayinteger
Content-Type: application/json

{
"additionalEmailRecipients": [
"email@mittwald.example"
],
"debitPaymentStopUntil": "1985-10-26T01:21:00.000Z",
"id": "5f9b9b9b-9b9b-9b9b-9b9b-9b9b9b9b9b9b",
"invoicePeriod": 1,
"lastBankingInformation": {
"accountHolder": "Ada Lovelace",
"bic": "DEUTDEDB123",
"iban": "DE12345678901234567890"
},
"paymentSettings": {
"accountHolder": "Ada Lovelace",
"bic": "DEUTDEDB123",
"iban": "DE12345678901234567890",
"method": "debit"
},
"printedInvoices": true,
"recipient": {
"address": {
"street": "Königsberger Straße",
"houseNumber": "4-6",
"city": "Espelkamp",
"zip": "32339",
"countryCode": "DE",
"addressPrefix": "c/o Ada Lovelace"
},
"company": "Mittwald CM Service GmbH & Co. KG",
"emailAddress": "email@mittwald.example",
"firstName": "Ada",
"lastName": "Lovelace",
"leitwegId": "string",
"phoneNumbers": [
"+49 123 4567890"
],
"purchaseOrderReference": "string",
"salutation": "mr",
"title": "Dr.",
"useFormalTerm": true
},
"recipientSameAsOwner": true,
"status": [
{
"message": "Unfortunately, we were unable to debit your account. Please update your account details.",
"severity": "success",
"type": "returnDebitNote"
}
],
"targetDay": 15
}
{
"properties": {
"additionalEmailRecipients": {
"items": {
"format": "email",
"type": "string"
},
"type": "array"
},
"debitPaymentStopUntil": {
"format": "date-time",
"type": "string"
},
"id": {
"example": "5f9b9b9b-9b9b-9b9b-9b9b-9b9b9b9b9b9b",
"type": "string"
},
"invoicePeriod": {
"example": 1,
"type": "integer"
},
"lastBankingInformation": {
"properties": {
"accountHolder": {
"example": "Ada Lovelace",
"type": "string"
},
"bic": {
"example": "DEUTDEDB123",
"type": "string"
},
"iban": {
"example": "DE12345678901234567890",
"type": "string"
}
},
"required": [
"iban",
"accountHolder"
],
"type": "object"
},
"paymentSettings": {
"oneOf": [
{
"properties": {
"accountHolder": {
"example": "Ada Lovelace",
"type": "string"
},
"bic": {
"description": "Optional. Required for payments outside of the European Union.",
"example": "DEUTDEDB123",
"type": "string"
},
"iban": {
"example": "DE12345678901234567890",
"type": "string"
},
"method": {
"enum": [
"debit"
],
"type": "string"
}
},
"required": [
"method",
"iban",
"accountHolder"
],
"type": "object"
},
{
"properties": {
"method": {
"enum": [
"invoice"
],
"type": "string"
}
},
"required": [
"method"
],
"type": "object"
}
]
},
"printedInvoices": {
"type": "boolean"
},
"recipient": {
"properties": {
"address": {
"type": "object",
"properties": {
"street": {
"type": "string",
"example": "Königsberger Straße"
},
"houseNumber": {
"type": "string",
"example": "4-6"
},
"city": {
"type": "string",
"example": "Espelkamp"
},
"zip": {
"type": "string",
"example": "32339"
},
"countryCode": {
"type": "string",
"example": "DE",
"description": "ISO 3166-1 alpha-2 country code"
},
"addressPrefix": {
"type": "string",
"example": "c/o Ada Lovelace"
}
},
"required": [
"street",
"houseNumber",
"city",
"zip",
"countryCode"
]
},
"company": {
"example": "Mittwald CM Service GmbH & Co. KG",
"type": "string"
},
"emailAddress": {
"format": "email",
"type": "string"
},
"firstName": {
"example": "Ada",
"type": "string"
},
"lastName": {
"example": "Lovelace",
"type": "string"
},
"leitwegId": {
"description": "German electronic invoicing routing ID (XRechnung). Only allowed for public authorities and requires a company.",
"maxLength": 46,
"type": "string"
},
"phoneNumbers": {
"items": {
"example": "+49 123 4567890",
"type": "string"
},
"type": "array"
},
"purchaseOrderReference": {
"description": "Purchase order reference printed on the invoice. Not allowed together with a leitwegId.",
"maxLength": 200,
"type": "string"
},
"salutation": {
"type": "string",
"enum": [
"mr",
"ms",
"other"
]
},
"title": {
"example": "Dr.",
"type": "string"
},
"useFormalTerm": {
"type": "boolean"
}
},
"required": [
"address",
"salutation"
],
"type": "object"
},
"recipientSameAsOwner": {
"type": "boolean"
},
"status": {
"items": {
"properties": {
"message": {
"example": "Unfortunately, we were unable to debit your account. Please update your account details.",
"type": "string"
},
"severity": {
"enum": [
"success",
"info",
"warning",
"error"
],
"type": "string"
},
"type": {
"enum": [
"returnDebitNote",
"returnDebitNoteWaitingForPayment",
"debtWrittenOff",
"bankrupt",
"notReachable"
],
"type": "string"
}
},
"required": [
"severity",
"type",
"message"
],
"type": "object"
},
"type": "array"
},
"targetDay": {
"example": 15,
"type": "integer"
}
},
"required": [
"id"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/invoice-settings
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.contract.invoiceGetDetailOfInvoiceSettings({
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Contract\InvoiceGetDetailOfInvoiceSettings\InvoiceGetDetailOfInvoiceSettingsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new InvoiceGetDetailOfInvoiceSettingsRequest(
customerId: "string"
));
$response = $client->contract()->invoiceGetDetailOfInvoiceSettings($request);

var_dump($response->getBody();

On this page